Feature # 1517 (Closed): Add support for Fermi/LAT Pass 8 response functions

Generalize Fermi-LAT front/back response handling to general handling of response types

07/24/2015 09:32 PM - Knödlseder Jürgen

Status: Closed Start date: 07/24/2015

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.1.0   

Description

Pass 8 has now different response types, not only front and back, but for example also 4 PSF response types. The front-back

handling has to be generalized so that different response types can be covered.

History

#1 - 07/24/2015 09:56 PM - Knödlseder Jürgen

Here some information from the FSSC web pages:

Internally the IRFs for each event class contain a set of IRF parameterizations for individual event types. The event types are organized in partitions

that split the events within a class according to different criteria. Whereas previous data releases provided only a single partition based on the

conversion plane of the reconstructed track (FRONT versus BACK), the Pass 8 data release defines three event type partitions: FRONT/BACK (two

types), PSF (four types), and EDISP (four types).

The Science Tools support analysis with both individual event types as well as any superset of event types within a partition (e.g. PSF2+PSF3 or

FRONT+BACK). In the case that the data selection is a superset of event types within a partition, the Science Tools will apply the response function

appropriate for the sum of those event types. In the typical usage scenario in which all events within a class are selected (equivalent to evtype=3) the

Science Tools will apply the response function for the sum of FRONT and BACK events.

Event types within a partition are mutually exclusive and therefore an event can only belong to one of the types in each partition.

Conversion Type Partition

Event Type evtype Description

FRONT 1 Events converting in the Front-section of the Tracker. Equivalent to convtype=0.

BACK 2 Events converting in the Back-section of the Tracker. Equivalent to convtype=1.

PSF Type Partition

Event Type evtype Description

PSF0 4 First (worst) quartile in the quality of the reconstructed direction.

PSF1 8 Second quartile in the quality of the reconstructed direction.

PSF2 16 Third quartile in the quality of the reconstructed direction.

PSF3 32 Fourth (best) quartile in the quality of the reconstructed direction.

EDISP Type Partition

Event Type evtype Description

EDISP0 64 First (worst) quartile in the quality of the reconstructed direction.

EDISP1 128 Second quartile in the quality of the reconstructed energy.

EDISP2 256 Third quartile in the quality of the reconstructed energy.

EDISP3 512 Fourth (best) quartile in the quality of the reconstructed energy.
#2 - 07/24/2015 10:01 PM - Knödlseder Jürgen

Looking a bit in the actual code, it seems already pretty well prepared for general event type handling. Each response component has a size() method

and the different event types can be accessed via an index, so the only thing needed may be related to loading the right number of response

functions.

#3 - 03/03/2016 05:10 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- Target version set to 1.1.0

- % Done changed from 0 to 80

The code has been modified so that it does not depend specifically on front/back but can handle any kind of event types.

Note that the actual code does not support loading of PSF2+3 for example (I need to check what syntax is used for that in Fermi LAT).

#4 - 06/21/2016 05:20 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

Code seems to work (see #1799), close this now.
